Package mvpa :: Package datasets :: Module base :: Class _Dataset

[hide private]
[frames] | no frames]

# Class _Dataset

source code

The successor of Dataset.

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, samples, sa=None, fa=None, dsa=None) This is the generic internal constructor. Its main task is to allow for a maximum level of customization during dataset construction, including fast copy construction. | source code

getNSamples(self) Currently available number of patterns. | source code

getNFeatures(self) Number of features per pattern. | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Methods | [hide private]

initSimple(klass, samples, labels, chunks) One line summary. | source code

Class Variables | [hide private]

| sa = `None` hash(x)
| fa = `None` hash(x)
| dsa = `None` hash(x)
| samples = `None` hash(x)
Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, samples, sa=None, fa=None, dsa=None)
(Constructor)

source code

This is the generic internal constructor. Its main task is to allow for a maximum level of customization during dataset construction, including fast copy construction.

# Parameters

samples : ndarray
  Data samples.
sa : Collection
  Samples attributes collection.
fa : Collection
  Features attributes collection.
dsa : Collection
  Dataset attributes collection.

Overrides: object.__init__

### initSimple(klass, samples, labels, chunks)
Class Method

source code

One line summary.

Long description.

# Parameters

samples : ndarray
  The two-dimensional samples matrix.

labels : ndarray chunks : ndarray

# Returns

blah blah

# Notes

blah blah

# See Also

blah blah

# Examples

blah blah